Bug 492223 - alsa driver not up-to-date
alsa driver not up-to-date
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-25 19:21 EDT by GeoffLeach
Modified: 2009-12-18 04:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:06:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description GeoffLeach 2009-03-25 19:21:21 EDT
Description of problem:
No HDMI sound from snd_hda_intel

Version-Release number of selected component (if applicable):
2.6.27.15-170.2.24.fc10.i686

How reproducible: always


Steps to Reproduce:
1. aplay -Dplughw:0,3 -fcd guitar.wav
2.
3.
  
Actual results: silence


Expected results: music


Additional info:
root@mtranch[810]->cat /proc/asound/version
Advanced Linux Sound Architecture Driver Version 1.0.17.

Should be 1.0.19. Next rev perhaps? I compiled and installed sources from ALSA site. Works fine now.
Comment 1 Chuck Ebbert 2009-03-28 08:22:49 EDT
Try 2.6.29-10.fc10:
http://koji.fedoraproject.org/koji/buildinfo?buildID=95672
Comment 2 Chuck Ebbert 2009-04-01 12:28:23 EDT
2.6.29 has 1.0.18a and we're shipping what is in the upstream kernel. Still need to know if that one works...
Comment 3 GeoffLeach 2009-04-01 13:12:41 EDT
Ah. You would like a test. I can do that.
Comment 4 GeoffLeach 2009-04-02 16:41:13 EDT
Checked www.alsa-project.org. It appears that 1.0.18a -> 1.0.19 has the majority of changes to the snd_hda_intel driver, which is where the problem lies.
Comment 5 Chris Shoemaker 2009-05-22 22:32:55 EDT
I'm confused.  If the problem lies in 1.0.18a -> 1.0.19, then why was there a problem with 1.0.17.  Or did you mean that the *fix* lies in 1.0.18a -> 1.0.19, and so 1.0.18a still has the problem?
Comment 6 GeoffLeach 2009-05-23 08:59:46 EDT
Yes, the *fix* lies in 1.0.18a -> 1.0.19
Comment 7 Chris Shoemaker 2009-05-23 10:19:03 EDT
Thanks for clarifying, Geoff.  alsa-lib-1.0.20 has been built for fc10.

http://koji.fedoraproject.org/koji/buildinfo?buildID=101003

Does that solve the problem?
Comment 8 Bug Zapper 2009-11-18 04:57:25 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-12-18 04:06:59 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.